Bug 98949 - new user registration doesn't check for existing user
Summary: new user registration doesn't check for existing user
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Registration   
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mihai Ibanescu
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks: 88509
TreeView+ depends on / blocked
 
Reported: 2003-07-10 19:32 UTC by Need Real Name
Modified: 2007-10-24 02:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-16 20:29:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2003-07-10 19:32:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030507

Description of problem:
i tried to use the update tool
(Red Hat Network Alert Notification Tool 2.0.9)
to see what updating the kernel was like with your tools.
i am running redhat 9, kernel 2.4.20-8
the registration process failed to notice that there was already a user/password
combo the same as the one i put in for my new account.
now my computer is stuck with this account that is someone else's, and i can't
figure out how to change the account my computer automatically associates with
itself on RHN. and if the guy had spent any money on updates, i could be using
them...

not so cool.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.make account on RHN
2.install redhat 9 on some computer
3.hit big red update button, choose 'new account', put info from existing
account (step 1. or just lucky) in new account prompts.
    

Actual Results:  things seemed normal until i tried to do a test update.
then the update agent (up2date?) said i didn't have entitlement. 
(error 31)

Additional info:

Comment 1 Mihai Ibanescu 2003-07-11 12:12:28 UTC
What is the user name that you used?

Comment 4 Greg DeKoenigsberg 2003-07-16 20:29:05 UTC
Closing this NOTABUG, and will create a feature request for more clarity between
the "create new" and "add to existing" code paths.


Note You need to log in before you can comment on or make changes to this bug.